Name:		icecast
Version:	2.2.0
Release:	1%{_my_ext}
Summary:	Xiph Streaming media server that supports multiple audio formats.
Group:		Applications/Multimedia
License:	GPL
URL:		http://www.icecast.org/
Source0:     	%{name}-%{version}.tar.gz
Source1:        %{name}.init.bz2
Source2:        %{name}.logrotate
Vendor:         %{vendor}
Packager:       %{packager}
Distribution:   %{distribution}

Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-root

PreReq:         rpm-helper
BuildRequires:	libvorbis-devel >= 1.0
BuildRequires:	libogg-devel >= 1.0
BuildRequires:	curl-devel >= 7.10.0
BuildRequires:	libxml-devel
BuildRequires:  libxslt-devel

%description
Icecast is a streaming media server which currently supports Ogg Vorbis 
and MP3 audio streams. It can be used to create an Internet radio 
station or a privately running jukebox and many things in between. 
It is very versatile in that new formats can be added relatively 
easily and supports open standards for commuincation and interaction.

%prep
%setup -q -n %{name}-%{version}
bzcat %{SOURCE1} > %{name}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --mandir=%{_mandir} --sysconfdir=/etc
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_var}/log/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_initrddir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_initrddir}

# logrotate
install -d %{buildroot}%{_sysconfdir}/logrotate.d/
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS TODO ChangeLog
%doc doc/*.html
%doc doc/*.jpg
%doc doc/*.css
%config(noreplace) %{_sysconfdir}/%{name}.xml
%config(noreplace) %{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_bindir}/icecast
%{_prefix}/share/icecast/*

%pre
%_pre_useradd %{name} %{_datadir}/%{name} /bin/false

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%changelog
* Sun Mar 13 2005  Scott Grayban <sgrayban@borgnet.us> 2.2.0-1bng
 - New version
